## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _bundled_pcre2_version 10.44
# read from libversion
%global libversion 111

%bcond_without check
%bcond_without samples

# mongodb still available only on little endian arches
%ifarch aarch64 %{arm} %{ix86} x86_64 ppc64le
%bcond_without mongodb
%endif

Name:           poco
Version:        1.14.1
Release:        %autorelease
Summary:        C++ class libraries for network-centric applications
License:        BSL-1.0
URL:            https://pocoproject.org
Source:         https://github.com/pocoproject/poco/archive/poco-%{version}-release/poco-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  openssl-devel
BuildRequires:  apr-devel
BuildRequires:  apr-util-devel
BuildRequires:  httpd-devel
BuildRequires:  mariadb-connector-c-devel
BuildRequires:  libiodbc-devel
BuildRequires:  libpq-devel
BuildRequires:  zlib-devel
BuildRequires:  pcre2-devel
BuildRequires:  sqlite-devel
BuildRequires:  expat-devel
BuildRequires:  libtool-ltdl-devel
BuildRequires:  utf8proc-devel
BuildRequires:  libpng-devel
BuildRequires:  libatomic

# We build poco to unbundle as much as possible, but unfortunately, it uses
# some internal functions of pcre so there are a few files from pcre that are
# still bundled.  See https://github.com/pocoproject/poco/issues/120.
Provides:       bundled(pcre2) = %{_bundled_pcre2_version}

%description
The POCO C++ Libraries (POCO stands for POrtable COmponents)
are open source C++ class libraries that simplify and accelerate the
development of network-centric, portable applications in C++. The
POCO C++ Libraries are built strictly on standard ANSI/ISO C++,
including the standard library.

%package        foundation
Summary:        The Foundation POCO component

%description    foundation
This package contains the Foundation component of POCO library.

%package        encodings
Summary:        The Encodings POCO component

%description    encodings
This package contains the Encodings component of POCO library.

%package        xml
Summary:        The XML POCO component

%description    xml
This package contains the XML component of POCO library.

%package        json
Summary:        The JSON POCO component

%description    json
This package contains the JSON component of POCO library.

%package        util
Summary:        The Util POCO component

%description    util
This package contains the Util component of POCO library.

%package        net
Summary:        The Net POCO component

%description    net
This package contains the Net component of POCO library.

%if %{with mongodb}
%package        mongodb
Summary:        The MongoDB POCO component

%description    mongodb
This package contains the MongoDB component of POCO library.
%endif

%package        redis
Summary:        The Redis POCO component

%description    redis
This package contains the Redis component of POCO library.

%package        prometheus
Summary:        The Prometheus POCO component

%description    prometheus
This package contains the Prometheus component of POCO library.

%package        pdf
Summary:        The PDF POCO component

%description    pdf
This package contains the PDF component of POCO library.

%package        jwt
Summary:        The JWT POCO component

%description    jwt
This package contains the JWT component of POCO library.

%package        netssl
Summary:        The NetSSL POCO component

%description    netssl
This package contains the NetSSL component of POCO library.

%package        crypto
Summary:        The Crypto POCO component

%description    crypto
This package contains the Crypto component of POCO library.

%package        data
Summary:        The Data POCO component

%description    data
This package contains the Data component of POCO library.

%package        odbc
Summary:        The Data/ODBC POCO component

%description    odbc
This package contains the Data/ODBC component of POCO library.

%package        sqlite
Summary:        The Data/SQLite POCO component

%description    sqlite
This package contains the Data/SQLite component of POCO library.

%package        mysql
Summary:        The Data/MySQL POCO component

%description    mysql
This package contains the Data/MySQL component of POCO library.

%package        postgresql
Summary:        The Data/PostgreSQL POCO component

%description    postgresql
This package contains the Data/PostgreSQL component of POCO library.

%package        zip
Summary:        The Zip POCO component

%description    zip
This package contains the Zip component of POCO library.

%package        cppparser
Summary:        The CppParser POCO component

%description    cppparser
This package contains the CppParser component of POCO library.

%package        activerecord
Summary:        The ActiveRecord POCO component

%description    activerecord
This package contains the ActiveRecord component of POCO library.

%package        devel
Summary:        Development files for %{name}

Requires:       poco-foundation%{?_isa} = %{version}-%{release}
Requires:       poco-encodings%{?_isa} = %{version}-%{release}
Requires:       poco-xml%{?_isa} = %{version}-%{release}
Requires:       poco-json%{?_isa} = %{version}-%{release}
Requires:       poco-util%{?_isa} = %{version}-%{release}
Requires:       poco-net%{?_isa} = %{version}-%{release}
%if %{with mongodb}
Requires:       poco-mongodb%{?_isa} = %{version}-%{release}
%endif
Requires:       poco-redis%{?_isa} = %{version}-%{release}
Requires:       poco-prometheus%{?_isa} = %{version}-%{release}
Requires:       poco-pdf%{?_isa} = %{version}-%{release}
Requires:       poco-jwt%{?_isa} = %{version}-%{release}
Requires:       poco-netssl%{?_isa} = %{version}-%{release}
Requires:       poco-crypto%{?_isa} = %{version}-%{release}
Requires:       poco-data%{?_isa} = %{version}-%{release}
Requires:       poco-odbc%{?_isa} = %{version}-%{release}
Requires:       poco-sqlite%{?_isa} = %{version}-%{release}
Requires:       poco-mysql%{?_isa} = %{version}-%{release}
Requires:       poco-postgresql%{?_isa} = %{version}-%{release}
Requires:       poco-zip%{?_isa} = %{version}-%{release}
Requires:       poco-cppparser%{?_isa} = %{version}-%{release}
Requires:       poco-activerecord%{?_isa} = %{version}-%{release}

Requires:       zlib-devel
Requires:       pcre2-devel
Requires:       expat-devel
Requires:       openssl-devel
Requires:       utf8proc-devel

%description    devel
This package contains development files for %{name}.

%package        doc
Summary:        Documentation for %{name}

%description    doc
This package contains documentation for %{name}.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}-release

rm -v Foundation/src/MSG00001.bin
rm -v Foundation/include/Poco/zconf.h
rm -v Foundation/include/Poco/zlib.h
rm -v Foundation/src/adler32.c
rm -v Foundation/src/compress.c
rm -v Foundation/src/crc32.c
rm -v Foundation/src/crc32.h
rm -v Foundation/src/deflate.c
rm -v Foundation/src/deflate.h
rm -v Foundation/src/gzguts.h
rm -v Foundation/src/infback.c
rm -v Foundation/src/inffast.c
rm -v Foundation/src/inffast.h
rm -v Foundation/src/inffixed.h
rm -v Foundation/src/inflate.c
rm -v Foundation/src/inflate.h
rm -v Foundation/src/inftrees.c
rm -v Foundation/src/inftrees.h
rm -v Foundation/src/trees.c
rm -v Foundation/src/trees.h
rm -v Foundation/src/zconf.h
rm -v Foundation/src/zlib.h
rm -v Foundation/src/zutil.c
rm -v Foundation/src/zutil.h

rm -v Foundation/src/pcre2_auto_possess.c
rm -v Foundation/src/pcre2_chartables.c
rm -v Foundation/src/pcre2_compile.c
rm -v Foundation/src/pcre2_config.c
rm -v Foundation/src/pcre2_context.c
rm -v Foundation/src/pcre2_convert.c
rm -v Foundation/src/pcre2_dfa_match.c
rm -v Foundation/src/pcre2_error.c
rm -v Foundation/src/pcre2_extuni.c
rm -v Foundation/src/pcre2_find_bracket.c
rm -v Foundation/src/pcre2_jit_compile.c
rm -v Foundation/src/pcre2_maketables.c
rm -v Foundation/src/pcre2_match.c
rm -v Foundation/src/pcre2_match_data.c
rm -v Foundation/src/pcre2_newline.c
rm -v Foundation/src/pcre2_ord2utf.c
rm -v Foundation/src/pcre2_pattern_info.c
rm -v Foundation/src/pcre2_script_run.c
rm -v Foundation/src/pcre2_serialize.c
rm -v Foundation/src/pcre2_string_utils.c
rm -v Foundation/src/pcre2_study.c
rm -v Foundation/src/pcre2_substitute.c
rm -v Foundation/src/pcre2_substring.c
# Unicode.cpp requires functions from these two files. The can't be taken from the library
# rm -v Foundation/src/pcre2_tables.c
# rm -v Foundation/src/pcre2_ucd.c
rm -v Foundation/src/pcre2_valid_utf.c
rm -v Foundation/src/pcre2_xclass.c

rm -v Data/SQLite/src/sqlite3.h
rm -v Data/SQLite/src/sqlite3.c
rm -v XML/src/ascii.h
rm -v XML/src/asciitab.h
rm -v XML/src/expat_config.h
rm -v XML/src/iasciitab.h
rm -v XML/src/internal.h
rm -v XML/src/latin1tab.h
rm -v XML/src/nametab.h
rm -v XML/src/utf8tab.h
rm -v XML/src/xmlparse.cpp
rm -v XML/src/xmlrole.c
rm -v XML/src/xmlrole.h
rm -v XML/src/xmltok.c
rm -v XML/src/xmltok.h
rm -v XML/src/xmltok_impl.c
rm -v XML/src/xmltok_impl.h
rm -v XML/src/xmltok_ns.c

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DPOCO_UNBUNDLED=ON \
%if %{with check}
    -DENABLE_TESTS=ON \
%endif
%if %{without mongodb}
    -DENABLE_MONGODB=OFF \
%endif
    -DENABLE_PDF=ON \
    -DENABLE_CPPPARSER=ON \
    -DENABLE_ENCODINGS_COMPILER=ON \

%cmake_build

%install
%cmake_install

%check
%if %{with check}
%ifarch s390x
%ctest -E "Redis|NetSSL|DataMySQL|DataPostgreSQL|DataODBC|Data"
%else
%ctest -E "MongoDB|Redis|NetSSL|DataMySQL|DataPostgreSQL|DataODBC|Data"
%endif
%endif

%files foundation
%license LICENSE
%{_libdir}/libPocoFoundation.so.%{libversion}

%files encodings
%{_libdir}/libPocoEncodings.so.%{libversion}

%files xml
%{_libdir}/libPocoXML.so.%{libversion}

%files json
%{_libdir}/libPocoJSON.so.%{libversion}

%files util
%{_libdir}/libPocoUtil.so.%{libversion}

%files net
%{_libdir}/libPocoNet.so.%{libversion}

%if %{with mongodb}
%files mongodb
%{_libdir}/libPocoMongoDB.so.%{libversion}
%endif

%files redis
%{_libdir}/libPocoRedis.so.%{libversion}

%files prometheus
%{_libdir}/libPocoPrometheus.so.%{libversion}

%files pdf
%{_libdir}/libPocoPDF.so.%{libversion}

%files jwt
%{_libdir}/libPocoJWT.so.%{libversion}

%files netssl
%{_libdir}/libPocoNetSSL.so.%{libversion}

%files crypto
%{_libdir}/libPocoCrypto.so.%{libversion}

%files data
%{_libdir}/libPocoData.so.%{libversion}

%files odbc
%{_libdir}/libPocoDataODBC.so.%{libversion}

%files sqlite
%{_libdir}/libPocoDataSQLite.so.%{libversion}

%files mysql
%{_libdir}/libPocoDataMySQL.so.%{libversion}

%files postgresql
%{_libdir}/libPocoDataPostgreSQL.so.%{libversion}

%files zip
%{_libdir}/libPocoZip.so.%{libversion}

%files cppparser
%{_libdir}/libPocoCppParser.so.%{libversion}

%files activerecord
%{_libdir}/libPocoActiveRecord.so.%{libversion}

%files devel
%{_includedir}/Poco
%{_libdir}/cmake/Poco
%{_libdir}/libPoco*.so
%{_bindir}/cpspc
%{_bindir}/f2cpsp
%{_bindir}/poco-arc
%{_bindir}/tec

%files doc
%doc README CONTRIBUTORS CHANGELOG doc/*

%changelog
## START: Generated by rpmautospec
* Wed Apr 09 2025 Carl George <carlwgeorge@fedoraproject.org> - 1.14.1-1
- Update to version 1.14.1 rhbz#2329685
- Add utf8proc-devel dependency to poco-devel rhbz#2358293

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Jan 05 2025 topazus <topazus@outlook.com> - 1.14.0-1
- 1.14.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Apr 08 2024 topazus <topazus@outlook.com> - 1.13.3-1
- rebase to 1.13.3

* Tue Feb 20 2024 Felix Wang <topazus@outlook.com> - 1.13.2-1
- update to 1.13.2

* Fri Feb 16 2024 Felix Wang <topazus@outlook.com> - 1.13.1-2
- define -mongodb subpackage as conditional

* Thu Feb 15 2024 topazus <topazus@outlook.com> - 1.13.1-1
- update to 1.13.1

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 04 2022 Robin Lee <cheeselee@fedoraproject.org> - 1.12.4-2
- Bump soname version

* Fri Nov 04 2022 Li Rui Bin <lirb@winhong.com> - 1.12.4-1
- Update to 1.12.4, resolves rhbz#2138907

* Tue Oct 25 2022 Carl George <carl@george.computer> - 1.12.3-1
- Update to 1.12.3, resolves rhbz#2137382

* Fri Oct 21 2022 Carl George <carl@george.computer> - 1.12.2-3
- Build against mariadb-connector-c-devel in both Fedora and EPEL

* Mon Aug 22 2022 Robin Lee <cheeselee@fedoraproject.org> - 1.12.2-2
- Skip one more test

* Sun Aug 21 2022 Robin Lee <cheeselee@fedoraproject.org> - 1.12.2-1
- Update to new upstream release 1.12.2 final (RHBZ#2096049)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Apr 17 2022 Robin Lee <cheeselee@fedoraproject.org> - 1.11.2-7
- Update to new upstream release 1.11.2 final

* Mon Apr 11 2022 Sérgio Basto <sergio@serjux.com> - 1.11.2-0.2.20220328git5a0b182
- Readd scriplets to make it work the unbundle of expat and zilb

* Thu Mar 31 2022 Robin Lee <cheeselee@fedoraproject.org> - 1.11.2-0.1.20220328git5a0b182
- Minor specfile cleanups
- SO version is hard-coded to prevent implicit soname bump

* Wed Mar 30 2022 Carl George <carl@george.computer> - 1.11.2-0.1.20220328git5a0b182
- Update to a snapshot of the upstream 1.11.2 branch for openssl 3 compatibility
- Resolves: rhbz#2021939

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Oct 04 2021 Milivoje Legenovic <m.legenovic@gmail.com> - 1.11.0-4
- poco-devel requires pcre-devel

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.11.0-3
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 15 2021 Scott Talbert <swt@techie.net> - 1.11.0-1
- Update to new upstream release 1.11.0 (#1976784)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 03 2020 Scott Talbert <swt@techie.net> - 1.10.1-4
- Adapt to cmake out-of-source build changes
- Replace old SSL testsuite cert which was rejected by OpenSSL (#1865242)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Feb 18 2020 Scott Talbert <swt@techie.net> - 1.10.1-1
- Update to new upstream release 1.10.1 (#1803758)

* Thu Feb 06 2020 Scott Talbert <swt@techie.net> - 1.10.0-1
- Update to new upstream release 1.10.0 (#1795299)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Sep 19 2019 Scott Talbert <swt@techie.net> - 1.9.4-1
- Update to new upstream release 1.9.4 (#1753136)

* Wed Aug 21 2019 Scott Talbert <swt@techie.net> - 1.9.3-1
- Update to new upstream release 1.9.3 (#1743851)

* Mon Aug 05 2019 Scott Talbert <swt@techie.net> - 1.9.2-1
- Update to new upstream release 1.9.2

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Aug 28 2018 Scott Talbert <swt@techie.net> - 1.9.0-4
- Switch build to use cmake and include cmake files (#1587836)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 29 2018 Scott Talbert <swt@techie.net> - 1.9.0-2
- Remove ldconfig scriptlets (no longer needed on F28+)

* Tue Mar 13 2018 Scott Talbert <swt@techie.net> - 1.9.0-1
- New upstream release 1.9.0
- Add subpackage for new Encodings component

* Mon Feb 19 2018 Scott Talbert <swt@techie.net> - 1.8.1-3
- Add missing BR for gcc-c++

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 11 2018 Scott Talbert <swt@techie.net> - 1.8.1-1
- New upstream release 1.8.1
- Remove patches that have been incorporated upstream

* Thu Nov 16 2017 Scott Talbert <swt@techie.net> - 1.8.0.1-1
- New upstream release 1.8.0.1

* Tue Nov 14 2017 Scott Talbert <swt@techie.net> - 1.8.0-1
- New upstream release 1.8.0

* Wed Nov 08 2017 Scott Talbert <swt@techie.net> - 1.7.9p2-1
- New upstream release 1.7.9p2

* Fri Sep 22 2017 Scott Talbert <swt@techie.net> - 1.7.9-2
- Switch from mysql-devel to mariadb-connector-c-devel (#1493654)

* Tue Sep 12 2017 Scott Talbert <swt@techie.net> - 1.7.9-1
- New upstream release 1.7.9

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.8p3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 28 2017 Scott Talbert <swt@techie.net> - 1.7.8p3-1
- New upstream release 1.7.8p3

* Thu May 25 2017 Scott Talbert <swt@techie.net> - 1.7.8p2-3
- Add patch from upstream to resolve s390x build failures

* Tue May 23 2017 Scott Talbert <swt@techie.net> - 1.7.8p2-2
- Add openssl-devel as a dependency of poco-devel (#1454462)

* Mon May 08 2017 Scott Talbert <swt@techie.net> - 1.7.8p2-1
- New upstream release 1.7.8p2

* Sun Feb 19 2017 Francis ANDRE <zosrothko@orange.fr> - 1.7.7-2
- Add ignored-tests.patch to ignore failing tests on ppce and armv7hl

* Sat Feb 18 2017 Scott Talbert <swt@techie.net> - 1.7.7-1
- New upstream release 1.7.7

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jun 23 2016 Francis ANDRE <zosrothko@orange.fr> - 1.7.3-5
- Restore POCO_UNBUNDLED definition in Foundation/include/Poco/Config.h
so that user's code compiles without having to define POCO_UNBUNDLED.

* Wed Jun 22 2016 Francis ANDRE <zosrothko@orange.fr> - 1.7.3-4
- Restore POCO_UNBUNDLED definition in Foundation/include/Poco/Config.h

* Fri May 27 2016 Francis ANDRE <zosrothko@orange.fr> - 1.7.3-3
- Restore removal of bundled sources

* Thu May 26 2016 Francis ANDRE <zosrothko@orange.fr> - 1.7.3-3
- Exclude Data/SQLite from testing.

 Wed May 25 2016 Dan Horák <dan[at]danny.cz> - 1.7.3-2
- conditionalize mongodb support

* Sat May 14 2016 Francis ANDRE <zosrothko@orange.fr> - 1.7.3-1
- New upstream release 1.7.3

* Mon Mar 28 2016 Scott Talbert <swt@techie.net> - 1.7.2-1
- New upstream release 1.7.2

* Sun Mar 20 2016 Scott Talbert <swt@techie.net> - 1.7.1-1
- New upstream release 1.7.1
- Remove patches that have been incorporated upstream

* Thu Feb 04 2016 Scott Talbert <swt@techie.net> - 1.6.1-2
- Add patch for SQLite on EL7
- Add patch for PPC64LE

* Sat Jan 30 2016 Scott Talbert <swt@techie.net> - 1.6.1-1
- New upstream release 1.6.1 (#917362)
- Removed AArch64 patch as it has been incorporated upstream
- Removed superfluous %%defattrs
- Add patches to fix partial PCRE unbundling issues
- Add patch to fix sample linking issues with JSON library
- Enable running of tests in %%check
- Add JSON and MongoDB subpackages

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2p1-2.10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.4.2p1-2.9
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2p1-2.8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 08 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.4.2p1-2.7
- Add support for AArch64

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2p1-2.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2p1-2.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2p1-2.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 1.4.2p1-2.2
- Rebuild against PCRE 8.30

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2p1-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 18 2011 Dan Horák <dan@danny.cz> - 1.4.p1-2
- build without tests on s390

* Wed Sep 28 2011 Maxim Udushlivy <udushlivy@mail.ru> - 1.4.2p1-1
- Updated for POCO 1.4.2p1. Obsoleted .spec directives were removed.

* Wed Mar 23 2011 Dan Horák <dan@danny.cz> - 1.4.1p1-1.1
- rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

* Thu Feb 10 2011 Maxim Udushlivy <udushlivy@mail.ru> - 1.4.1p1-1
- Updated for POCO 1.4.1p1.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb 01 2011 Maxim Udushlivy <udushlivy@mail.ru> - 1.4.1-1
- Updated for POCO 1.4.1.

* Fri Jan 21 2011 Maxim Udushlivy <udushlivy@mail.ru> - 1.4.0-1
- Updated for POCO 1.4.0. The "syslibs" patch was removed.
- This release enables a small part of the PCRE library to be 
compiled-in, which is unavoidable since POCO uses some internal PCRE 
functions for Unicode classification and manipulation.

* Wed Jun 02 2010 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.6p2-2
- Missing dependencies on system header files were fixed.
- Options were added to build POCO without tests and samples.

* Fri May 07 2010 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.6p2-1
- The package was upgraded for the use of POCO version 1.3.6p2.

* Wed Dec 23 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.6p1-1
- The package was upgraded for the use of POCO version 1.3.6p1.
- A new binary package (poco-pagecompiler) is now produced by the 
rpmbuild process.
- The syslibs patch was considerably simplified (based on a new 
"configure" script option which was introduced by POCO developers for 
the maintainers of the POCO Debian package).

* Tue Nov 17 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.5-8
- The "make" invocation command in the %%build section was modified to 
skip premature symbol stripping from retail libraries.

* Mon Nov 16 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.5-7
- A removal of the "Foundation/src/MSG00001.bin" binary file was added 
to the "%%prep" section.
- Values for the top "Summary", "Group" and "%%description" were 
restored.
- A "BuildRoot" tag was added.

* Fri Nov 13 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.5-6
- The generation of the "poco" metapackage is now suppressed.
- A comment for the patch was added.
- The usage of %% symbol in the %%changelog section was fixed.

* Wed Nov 11 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.5-5
- A patch "poco-1.3.5-syslibs.patch" was added. The build process now 
does not use bundled versions of the system libraries (zlib, pcre, 
sqlite and expat).

* Fri Nov 06 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.5-4
- The name of "poco-testing" subpackage was reverted to "poco-debug".
- The "Release" field was fixed to use "%%{?dist}".
- The ".*DS_Store" files removal was moved to the %%prep section.
- Fedora compilation flags (%%{optflags}) are now injected into the 
"configure" script.

* Wed Nov 04 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.5-3
- Each POCO component is now put in its own binary package. The "poco" 
package is now a meta package.
- Option "-s" was removed from the "make" invocation commands.
- "perl" was replaced by "sed" for string substitutions in Makefile's.

* Tue Jun 23 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.5-2
- The "poco-extra" subpackage was split into separate "poco-odbc", 
"poco-mysql" and "poco-zip".
- The "poco-debug" subpackage was renamed to "poco-testing".
- The "poco-doc" subpackage with the API reference documentation 
was added.

* Sat Jun 20 2009 Maxim Udushlivy <udushlivy@mail.ru> - 1.3.5-1
- The first version.

## END: Generated by rpmautospec
